Package org.apache.sling.commons.testing.jcr

# Class MockPropertyIterator

java.lang.Object
org.apache.sling.commons.testing.jcr.MockPropertyIterator

All Implemented Interfaces:
  `Iterator`, `javax.jcr.PropertyIterator`, `javax.jcr.RangeIterator`

public class MockPropertyIterator extends Object implements javax.jcr.PropertyIterator

## Constructor Summary

Constructors
Constructor
Description
`MockPropertyIterator(Iterator<javax.jcr.Property> it)`

## Method Summary

Modifier and Type
Method
Description
`long`
`getPosition()`
`long`
`getSize()`
`boolean`
`hasNext()`
`Object`
`next()`
`javax.jcr.Property`
`nextProperty()`
`void`
`remove()`
`void`
`skip(long skipNum)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### MockPropertyIterator

public MockPropertyIterator(Iterator<javax.jcr.Property> it)

## Method Details

### nextProperty

public javax.jcr.Property nextProperty()

Specified by:
  `nextProperty` in interface `javax.jcr.PropertyIterator`

### getPosition

public long getPosition()

Specified by:
  `getPosition` in interface `javax.jcr.RangeIterator`

### getSize

public long getSize()

Specified by:
  `getSize` in interface `javax.jcr.RangeIterator`

### skip

public void skip(long skipNum)

Specified by:
  `skip` in interface `javax.jcr.RangeIterator`

### hasNext

public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator`

### next

public Object next()

Specified by:
  `next` in interface `Iterator`

### remove

public void remove()

Specified by:
  `remove` in interface `Iterator`